EvaluateSystemScript("time.js");
EvaluateSystemScript("audio.js");
EvaluateSystemScript("fademessage.js");
EvaluateScript("global_constants.js");
EvaluateScript("movement.js");
EvaluateScript("mapexits.js");
EvaluateScript("messages.js");
EvaluateScript("raft.js");
EvaluateScript("debug.js");


//Testing New Functions - Uncomment when needed
//EvaluateScript("test.js");

  var MainChar="UrNoLink";
  var PSS = "LinkV3.rss";
  var hp = 3;			//Player Starting Health
  var Maxhp = 3;		//Player Max Health Cannot exceed a value of 16

  var Coinage = 0;		//The amount of currency the player has
  var MaxCoinage = 255;		//The Maximum amount of currency the player can carry
  
  var HaveSword = 0;		//0=No Sword 1=Normal Sword 2=Silver Sword 3=Magic Sword 4=Master Sword
  var HaveBow = 0;		//0=No Bow 1=Bow
  var HaveArrow = 0;		//0=No Arrow 1=Normal Arrows 2=Silver Arrows
  var MaxArrows = Coinage;	//Every Arrow Shot deducts 1 coinage, No Coinage No Arrows
  var HaveCandle = 0;		//0=No Candle 1=Blue Candle(1 use) 2=Red Candle(Multiple Use)
  var HaveRing = 0;		//0=No Ring 1=Blue Ring(1/2 Damage) 2=Red Ring(1/4 Damage)
  var HaveBomb = 0;		//0=No Bombs 1=Bombs
  var NumBombs = 0;		//Number of Bombs the player is currently carrying
  var MaxBombs = 4;		//Maximum number of bombs the player can carry
  var HaveBoomerang = 0;	//0=No Boomerang 1=Boomerang 2=Magic Boomerang
  var HaveCompass = 0;		//0=No Compass 1=Compass (A dungeon only item)
  var HaveKey = 0;		//0=No Key 1=Key 2=Magic Key
  var NumKeys = 0;		//If HaveKey=2 then NumKeys will always equal 1
  var HaveLadder = 0;		//0=No Ladder 1=Ladder
  var HaveShield = 0;		//0=No Shield(Full Damage) 1=Shield(3/4 Damage) 2=Large Shield(1/2 Damage)
  var HaveWoL = 0;		//0=No Water of Life 1=Blue Water of Life 2=Red Water of Life
  var HaveLetter = 0;		//0=No Letter 1=Letter
  var HaveMap = 0;		//0=No Map 1=Map (A dungeon only item)
  var HaveMeat = 0;		//0=No Meat 1=Meat (A dungeon only item)
  var HaveWhistle = 0;		//0=No Whistle 1=Whistle
  var HavePowerBracelet = 0;	//0=No Bracelet 1=Bracelet
  var HaveRaft = 0;		//0=No Raft 1=Raft
  var HaveSpellbook = 0;	//0=No Spellbook(Magic Wand Power=1) 1=Spellbook(Magic Wand Power=1.5)
  var HaveStopwatch = 0;	//0=No Stopwatch 1=Stopwatch
  var HaveWand = 0;		//0=No Wand 1=Wand
  var MasterSwordPieces = 0;	//0=No Pieces 1=Hilt 2=Blade & Hilt
  var ReadJournal = 0;		//0=No 1=Visted Outpost & Read the Journal
  var isBombSet = 0;
  
  //var Visited=[];	//Future Use" To Check whether or not player has visited the hidden caves with Coinage Bonuses and Heart Containers. Once you got the Coinage Bonus or Heart Container they need to be destroyed. Don't want the player to be able to enter, get. exit, enter, get over and over.
  

function game(){

  CreatePerson(MainChar, PSS, false);
  SetPersonDirection(MainChar, "North");
  AttachInput(MainChar);
  AttachCamera(MainChar);
  //ChangeMusic("Overworld.ogg");
  MapEngine("Start.rmp", 80);  //Set @ 300 only for testing areas on a quick run through
}

function SwordCheck(){

if (HaveSword>0){
DestroyPerson("OldMan");
DestroyPerson("Sword");
}
}

function FairyHeal(){

if (hp!=Maxhp){hp=Maxhp};
// Create animation for the filling of the life meter later
}

function IncreaseMaxHealth(){
Maxhp = Maxhp + 1;
}

function IncreaseCoinage(amount){
if (Coinage==MaxCoinage){Coinage=MaxCoinage}else{Coinage=Coinage+amount;}

}

function CollectHeart(){
PlaySound("ItemCollected.ogg");
IncreaseMaxHealth();
DestroyPerson("HeartContainer");
}