//Sphere Tutorial's Move Commands
function Move(name, command, tiles, immediate) 
{ 
  switch (command) 
  { 
    case COMMAND_MOVE_NORTH: 
      QueuePersonCommand(name, COMMAND_FACE_NORTH, immediate); 
      for (var i = 0; i < GetTileHeight() * tiles; ++i) 
        QueuePersonCommand(name, command, false); 
    break; 

    case COMMAND_MOVE_SOUTH: 
      QueuePersonCommand(name, COMMAND_FACE_SOUTH, immediate); 
      for (var i = 0; i < GetTileHeight() * tiles; ++i) 
        QueuePersonCommand(name, command, false); 
    break; 

    case COMMAND_MOVE_EAST: 
      QueuePersonCommand(name, COMMAND_FACE_EAST, immediate); 
      for (var i = 0; i < GetTileWidth() * tiles; ++i) 
        QueuePersonCommand(name, command, false); 
    break; 

    case COMMAND_MOVE_WEST: 
      QueuePersonCommand(name, COMMAND_FACE_WEST, immediate); 
      for (var i = 0; i < GetTileWidth() * tiles; ++i) 
        QueuePersonCommand(name, command, false); 
    break;
    
    case COMMAND_WAIT: 
      QueuePersonCommand(name, COMMAND_WAIT, immediate); 
      for (var i = 0; i < GetTileWidth() * tiles; ++i) 
        QueuePersonCommand(name, command, false); 
    break;    
  } 
} 

function GenerateRandomMovement() 
{ 
  var person = GetCurrentPerson(); 
  var commands = new Array(COMMAND_MOVE_NORTH, COMMAND_MOVE_EAST, COMMAND_MOVE_SOUTH, COMMAND_MOVE_WEST, COMMAND_WAIT); 
  var r1 = Math.floor(Math.random() * commands.length); 
  var r2 = Math.floor(Math.random() * 5);

  Move(person, commands[r1], r2, false); 
} 

 // FLIK's MOVE IN PLACE ANIMATIONS
 function __GetPersonSpriteset__(name) { 
  if ("firstcall" in __GetPersonSpriteset__ == false) { 
   __GetPersonSpriteset__.spritesets = new Object(); 
   __GetPersonSpriteset__.firstcall = true; 
   } 
  if (name in __GetPersonSpriteset__.spritesets) { 
   return __GetPersonSpriteset__.spritesets[name]; 
   } 
  else { 
   __GetPersonSpriteset__.spritesets[name] = GetPersonSpriteset(name); 
   return __GetPersonSpriteset__.spritesets[name]; 
   } 
  return null; 
 } 
 
 function UpdatePersonAnimation(name) { 
  var spriteset = __GetPersonSpriteset__(name); 
  var direction_name = GetPersonDirection(name); 
  var direction_index = -1; 
  var frame_index = GetPersonFrame(name); 
  var changed = false; 
  var last_update = GetTime(); 
  if ("firstcall" in UpdatePersonAnimation == false) { 
   UpdatePersonAnimation.last_update = new Object(); 
   UpdatePersonAnimation.firstcall = true; 
   } 
  if (name in UpdatePersonAnimation.last_update) { 
   last_update = UpdatePersonAnimation.last_update[name]; 
   } 
  else { 
   UpdatePersonAnimation.last_update[name] = last_update; 
   } 
  for (var i = 0; i < spriteset.directions.length; i++) { 
   if (spriteset.directions[i].name == direction_name) { 
    direction_index = i; 
    break; 
    } 
   } 
  if (direction_index > -1) { 
   if (frame_index >= spriteset.directions[direction_index].frames.length) 
    frame_index = 0; 
   if (last_update + (spriteset.directions[direction_index].frames[frame_index].delay * 10) < 
       GetTime()) { 
    changed = true; 
    frame_index += 1; 
    if (frame_index >= spriteset.directions[direction_index].frames.length) 
     frame_index = 0; 
    SetPersonFrame(name, frame_index); 
    } 
   } 
  if (changed) { 
   UpdatePersonAnimation.last_update[name] = GetTime(); 
   } 
  return changed;   
 } 